## python-pyrax 1.9.8

=== Makefile ===
PACKAGE := $(shell basename *.spec .spec)
ARCH = noarch
RPMBUILD = rpmbuild --define "_topdir %(pwd)/rpm-build" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %(pwd)/rpms" \
	--define "_srcrpmdir %{_rpmdir}" \
	--define "_sourcedir  %{_topdir}"
PYTHON = $(which python)

all: rpms

clean:
	rm -rf dist/ build/ rpm-build/ rpms/
	rm -rf docs/*.gz MANIFEST *~
	find . -name '*.pyc' -exec rm -f {} \;

build: clean
	python setup.py build -f

install: build
	python setup.py install -f

reinstall: uninstall install

uninstall: clean
	rm -f /usr/bin/${PACKAGE}
	rm -rf /usr/lib/python2.*/site-packages/${PACKAGE}

uninstall_rpms: clean
	rpm -e ${PACKAGE}

sdist:
	python setup.py sdist

prep_rpmbuild: build sdist
	mkdir -p rpm-build
	mkdir -p rpms
	cp dist/*.gz rpm-build/

rpms: prep_rpmbuild
	${RPMBUILD} -ba ${PACKAGE}.spec

srpm: prep_rpmbuild
	${RPMBUILD} -bs ${PACKAGE}.spec

## python-pyrax 1.9.6

=== debian/changelog ===
python-pyrax (1.9.6-1) unstable; urgency=low

  * Initial release (Closes: #814322)

 -- Sascha Girrulat <sascha@girrulat.de>  Thu, 04 Feb 2016 08:56:50 +0100

=== debian/control ===
Source: python-pyrax
Priority: optional
Maintainer: Sascha Girrulat <sascha@girrulat.de>
Build-Depends: debhelper (>= 9.0.0),
  dh-python,
  python (>= 2.6.6-3),
  python-all,
  python-mock,
  python-novaclient,
  python-requests,
  python-setuptools (>= 0.6b3),
Standards-Version: 3.9.6
Section: python
Homepage: https://github.com/rackspace/pyrax
Vcs-Git: git://anonscm.debian.org/users/sagiru-guest/python-pyrax.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/sagiru-guest/python-pyrax.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-pyrax
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: ansible
Description: Python SDK for OpenStack/Rackspace APIs
 Python language bindings for OpenStack/Rackspace APIs.
 .
 Pyrax should work with most OpenStack-based cloud deployments, though it
 specifically targets the Rackspace public cloud. For example, the code for
 cloudfiles contains the ability to publish your content on Rackspace's CDN
 network, even though CDN support is not part of OpenStack Swift. But if you
 don't use any of the CDN-related code, your app will work fine on any standard
 Swift deployment.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1
export PYBUILD_NAME=pyrax
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2 --buildsystem=pybuild

get-orig-source:
	uscan --verbose --force-download

## python-pyrax 1.9.8

=== debian/changelog ===
python-pyrax (1.9.8-1) unstable; urgency=medium

  * New upstream version 1.9.8
  * Bump standards version to 4.1.1
  * Add missing build dependencies
  * Update patch queue to fix nova client import issues
    (Closes: #841623, #835189)
  * Add debian/gbp.conf
  * Ensure dbus socket available for python-keyring
  * lintian cleanup

 -- Sascha Girrulat <sascha@girrulat.de>  Fri, 20 Oct 2017 15:46:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,26 @@
 Maintainer: Sascha Girrulat <sascha@girrulat.de>
 Build-Depends: debhelper (>= 9.0.0),
   dh-python,
-  python (>= 2.6.6-3),
+  lsb-base,
   python-all,
   python-mock,
   python-novaclient,
   python-requests,
-  python-setuptools (>= 0.6b3),
-Standards-Version: 3.9.6
+  python-setuptools,
+  python-six,
+  tzdata,
+Standards-Version: 4.1.1
 Section: python
 Homepage: https://github.com/rackspace/pyrax
-Vcs-Git: git://anonscm.debian.org/users/sagiru-guest/python-pyrax.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/sagiru-guest/python-pyrax.git
+Vcs-Git: https://anonscm.debian.org/git/users/sagiru-guest/python-pyrax.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/sagiru-guest/python-pyrax.git
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 
 Package: python-pyrax
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends},
+         ${python:Depends},
 Suggests: ansible
 Description: Python SDK for OpenStack/Rackspace APIs
  Python language bindings for OpenStack/Rackspace APIs.

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,8 @@
 %:
 	dh $@ --with python2 --buildsystem=pybuild
 
+override_dh_auto_test:
+	dbus-run-session -- dh_auto_test -O--buildsystem=pybuild
+
 get-orig-source:
 	uscan --verbose --force-download

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyrax-$1\.tar\.gz/ \
  https://github.com/rackspace/pyrax/releases .*/v?(\d\S*)\.tar\.gz
